# Generated from ext-1.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ext

Name: rubygem-%{gem_name}
Version: 1.1.3
Release: 1%{?dist}
Summary: Provides an SCM agnostic way to manage subprojects with a workflow similar to the svn:externals feature of subversion.  It's particularly useful for rails projects that have some plugins managed by svn and some managed by git
License: MIT
URL: http://nopugs.com/ext-tutorial
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Provides an SCM agnostic way to manage subprojects with a workflow similar
to the scm:externals feature of subversion.  It's particularly useful for
rails
projects that have some plugins managed by svn and some managed by git.
For example, "ext install git://github.com/rails/rails.git" from within a
rails
application directory will realize that this belongs in the vendor/rails
folder.
It will also realize that this URL is a git repository and clone it into that
folder.
It will also add the vendor/rails folder to the ignore feature for the SCM of
the main project.  Let's say that the main project is being managed by
subversion.  In that case it adds "rails" to the svn:ignore property of the
vendor folder.  It also adds the URL to the .externals file so that when this
project is checked out via "ext checkout" it knows where to fetch the
subprojects.
There are several other useful commands, such as init, touch_emptydirs,
add_all,
export, status.  There's a tutorial at http://nopugs.com/ext-tutorial
The reason I made this project is that I was frustrated by two things:
1.  In my opinion, the workflow for svn:externals is far superior to
git-submodule.
2.  Even if git-submodule was as useful as svn:externals, I would still like a
uniform way to fetch all of the subprojects regardless of the SCM used to
manage
the main project.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/ext
%license %{gem_instdir}/MIT_LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 1.1.3-1
- Initial package
